C AQUARIUM PROGRAM
C	SUBROUTINE AQRIUM
	COMMON/DPYBUF/IDBUF(2000)/RAND/IA,IB,IC
	DIMENSION X(20),Y(20),K(20)
	IA=0
	IB=0
	IC=0
	DO 1 I=1,8
1	XX=RAN(IA,IB)
	CALL INIT(IDBUF,2000)
	CALL SUBP(1)
	CALL RSTR('WEEDC1')
	CALL ESUB
	CALL OFF(1)
	CALL SUBP(2)
	CALL RSTR('FISHE1')
	CALL ESUB
	CALL OFF(2)
	DO 100 I=3,5
	CALL APNT(RAN(IA,IB)*900,RAN(IA,IB)*100,0,-5)
100	CALL SUBP(I,1)
	CALL SUBP(9)
	DO 200 I=1,15
	X(I)=RAN(IA,IB)*800
	Y(I)=RAN(IA,IB)*600
	CALL APNT(X(I),Y(I),0,-5)
	K(I)=I+10
200	CALL SUBP(I+10,2)
	CALL ESUB
	D=-10.
	DO 300 J=10,100
	CALL SUBP(J)
	DO 400 I=1,15
	X(I)=X(I)+D
	IF (X(I)) 310,310,370 
310	X(I)=900
	Y(I)=RAN(IA,IB)*600
370	CALL APNT(X(I),Y(I),0,-5)
	K(I)=K(I)+15
400	CALL SUBP(K(I),2)
	CALL ESUB
	CALL ERAS(J-1)
	CALL SAVE
D	CALL SLEEP(0,0,0,IPOT0())
300	CONTINUE
	END
